package com.sunxung.factoring.entity.salescontractmanagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;

/**
 * <p>
 * 销售合同-模板初审和审核条件关联关系表
 * </p>
 *
 * @author yafan
 * @since 2023-12-08
 */
@TableName("sales_contract_template_first_approval_condition_rel")
public class SalesContractTemplateFirstApprovalConditionRel implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 销售合同-模板初审ID
     */
    @TableField("sales_contract_template_first_approval_info_id")
    private Long salesContractTemplateFirstApprovalInfoId;

    /**
     * 销售合同-模板初审(基础交易合同)-字典表ID
     */
    @TableField("sales_contract_approval_condition_dic_id")
    private Long salesContractApprovalConditionDicId;

    /**
     * 是否满足 1 是 0 否
     */
    @TableField("is_agree")
    private Integer agree;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
    public Long getSalesContractTemplateFirstApprovalInfoId() {
        return salesContractTemplateFirstApprovalInfoId;
    }

    public void setSalesContractTemplateFirstApprovalInfoId(Long salesContractTemplateFirstApprovalInfoId) {
        this.salesContractTemplateFirstApprovalInfoId = salesContractTemplateFirstApprovalInfoId;
    }
    public Long getSalesContractApprovalConditionDicId() {
        return salesContractApprovalConditionDicId;
    }

    public void setSalesContractApprovalConditionDicId(Long salesContractApprovalConditionDicId) {
        this.salesContractApprovalConditionDicId = salesContractApprovalConditionDicId;
    }

    public Integer getAgree() {
        return agree;
    }

    public void setAgree(Integer agree) {
        this.agree = agree;
    }

    @Override
    public String toString() {
        return "SalesContractTemplateFirstApprovalConditionRel{" +
            "id=" + id +
            ", salesContractTemplateFirstApprovalInfoId=" + salesContractTemplateFirstApprovalInfoId +
            ", salesContractApprovalConditionDicId=" + salesContractApprovalConditionDicId +
        "}";
    }
}
